Bug 10718 - lpr-0.48: When hostname is uppercased, remote lprm stops working.
Summary: lpr-0.48: When hostname is uppercased, remote lprm stops working.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-11 06:13 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-11 06:28:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2000-04-11 06:13:33 UTC
lprm-0.48 only allows non-root users to remove jobs from the same host from
which the print job was submitted. However, the testing is really screwed
up and when it fails, lprm stops working...

As I understand it, lpr records the hostname of the machine where the jobs
is submitted and compares it to the reverse-DNS of the IP submitting the
lprm command _lowercased_. Result:

1) Hostname = rev-DNS, but includes upper-case letters -> check fails, lprm
does not work.
2) Hostname != rev-DNS -> check fails, lprm does not work.

While (2) is understandable for security reasons, (1) is really annoying
(especially after I've spent _lots_ of time trying to figure the whole
thing out).

P.S. I tried it only with RH-5.2 runnin on both client and daemon, but I
expect result to be the same on all other versions of RH, on which the
lpr-0.48 update was installed.

Comment 1 Aleksey Nogin 2000-04-11 06:14:59 UTC
P.P.S. It would be nice to be able to get rid of the whole testing using some
printcap flag.

Comment 2 Aleksey Nogin 2000-04-11 06:20:59 UTC
Related problem: bug #387

Comment 3 Aleksey Nogin 2000-04-11 06:28:59 UTC
P3.S. The "Permission denied" error message is _extremely_ uninformative. I
would suggest something along the lines "can only be removed from <hostname>".

Comment 4 Bernhard Rosenkraenzer 2000-07-17 15:21:13 UTC
This is fixed in rawhide with the move to LPRng.


Note You need to log in before you can comment on or make changes to this bug.